# Intellivision Music Synthesizer Keyboard Test

An Intellivision game for testing the keys of an Intellivision Music Synthesizer (using jzintv).

## Details
This project is for testing the Intellivision Music Synthesizer (using jzintv).
It is based on two previously written files:
 1. scan_syn.asm by J. Zbiciak (@intvnut), 2010.
 2. synth.bas by J. Zbiciak (@intvnut), 2015.
These files scan for synthesizer events and implement callbacks to IntyBASIC
procedures on key down (my_syn_dn) and key up (my_syn_up) events, respectively.
The original callbacks displayed the keys being pressed, and this project adds
graphics and the ability to see which keys have had down and up events.

The two files were placed in the public domain and can be downloaded from
http://atariage.com/forums/topic/241446-intybasic-compiler-v129-the-good-things-are-now-better/page-2
Similarly, the files in this project are placed in the public domain.
Aaron Williams (@postpostdoc), 2018.

The run.sh script has several options for the jzintv keyboard hack file, where
the numbered suffix refers to the keymap mode that jzintv is started in.
 - no_map_2.txt
 - decle_0.txt by @decle is for his computer keyboard.
   http://atariage.com/forums/topic/263200-ideas-for-new-intellivision-synthesizer-game-melody-blaster/
 - postpostdoc_keyboard_0.txt by @postpostdoc is for his Acer C720 keyboard.
 - postpostdoc_synth_0.txt is based on the character codes that the synth keys
   generate when running in Gallium (XUbuntu) on an Acer C720.

Suggestions for jzintv with hack files and ECS support are at the link below.
https://retropie.org.uk/forum/topic/10149/a-tutorial-to-getting-the-most-out-of-the-intellivision-with-jzintv

![synthesizer](https://images-na.ssl-images-amazon.com/images/I/51xOuJ1wfRL._SR600,315_SCLZZZZZZZ_.jpg "Intellivision Music Synthesizer")
![app](https://src-code.simons-rock.edu/git/awilliams/INTYSynthKeyTest/raw/master/images/screenshot.png "Intellivision Music Synthesizer Keyboard Test")
