#!/bin/bash

# Adjust these for your specific installation of jzintv.
JZ="/opt/jzintv-20180509-linux-x86-64/bin/jzintv"
EXEC="/opt/jzintv-20180509-linux-x86-64/exec.bin"
GROM="/opt/jzintv-20180509-linux-x86-64/grom.bin"
ECS="/opt/jzintv-20180509-linux-x86-64/ecs.bin"
VOICE="/opt/jzintv-20180509-linux-x86-64/ivoice.bin"

# Choose one the following keyboard hackfiles.
#KHACK="kbdhacks/no_map_2.txt"
#KHACK="kbdhacks/decle_0.txt"
KHACK="kbdhacks/postpostdoc_keyboard_0.txt"
#KHACK="kbdhacks/postpostdoc_synth_0.txt"

# The synth key test rom.
ROM="synth_kt.rom"

"$JZ" -e "$EXEC" -g "$GROM" -E "$ECS" -s1 -v1 -z5 --kbdhackfile="$KHACK" "$ROM"
